import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 800;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 10;
const eyeOffsetX = 100;
const eyeOffsetY =40;
const eyeRadius = 50;
const mouthWidth = 30;
const mouthRadius = 20;

const eyeArc = d3.arc()
    .innerRadius(26)
    .outerRadius(40)
    .startAngle(-Math.PI/3)
    .endAngle(Math.PI/4);


const mouthArc = d3.arc()
    .innerRadius(mouthWidth)
    .outerRadius(mouthWidth + mouthRadius)
    .startAngle(Math.PI / 2 + 0.2)
    .endAngle(Math.PI * 3/2 - 0.2);



const App = () => (
    <svg width={width} height={height}>
    	<g transform={`translate(${centerX},${centerY})`} >
        <circle
          r={centerY - (strokeWidth / 2)}
          fill="#fabc02"
          stroke="white"
          strokeWidth={strokeWidth}
        />
        <circle 
          cx={-eyeOffsetX}
          cy={-eyeOffsetY}
          r={eyeRadius}
        />
        <circle
        	cx={eyeOffsetX}
          cy={-eyeOffsetY}
          r={eyeRadius}
        />
        <ellipse
        rx={eyeRadius/3}
        ry={eyeRadius/3}
        fill = "white"
        
      />
        <line
        x1={-200}
        y1={-235}
        x2={-120}
        y2={-210}
        stroke = "gold"
        stroke-width = '10'
      />
        <line
        x1={200}
        y1={-235}
        x2={120}
        y2={-210}
        stroke = "gold"
        stroke-width = '10'
      />
        <line
        x1={-200}
        y1={-240}
        x2={-200}
        y2={-140}
        stroke = "gold"
        stroke-width = '10'
      />
        <line
        x1={200}
        y1={-240}
        x2={200}
        y2={-140}
        stroke = "gold"
        stroke-width = '10'
      />
        <path 
        d = {eyeArc()}
        transform = "rotate(20)    translate(-120,-70)"
        fill = "black"
      />
        <path 
        d = {eyeArc()}
        transform = "rotate(-20)    translate(120,-70)"
        fill = "black"
      />
        
        <path d={mouthArc()}/>
      </g>
    </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);